# Makefile.in generated by automake 1.16.5 from Makefile.am.
# docs/cmdline-opts/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994-2021 Free Software Foundation, Inc.

# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



#***************************************************************************
#                                  _   _ ____  _
#  Project                     ___| | | |  _ \| |
#                             / __| | | | |_) | |
#                            | (__| |_| |  _ <| |___
#                             \___|\___/|_| \_\_____|
#
# Copyright (C) Daniel Stenberg, <daniel@haxx.se>, et al.
#
# This software is licensed as described in the file COPYING, which
# you should have received as part of this distribution. The terms
# are also available at https://curl.se/docs/copyright.html.
#
# You may opt to use, copy, modify, merge, publish, distribute and/or sell
# copies of the Software, and permit persons to whom the Software is
# furnished to do so, under the terms of the COPYING file.
#
# This software is distributed on an "AS IS" basis, WITHOUT WARRANTY OF ANY
# KIND, either express or implied.
#
# SPDX-License-Identifier: curl
#
###########################################################################

#***************************************************************************
#                                  _   _ ____  _
#  Project                     ___| | | |  _ \| |
#                             / __| | | | |_) | |
#                            | (__| |_| |  _ <| |___
#                             \___|\___/|_| \_\_____|
#
# Copyright (C) Daniel Stenberg, <daniel@haxx.se>, et al.
#
# This software is licensed as described in the file COPYING, which
# you should have received as part of this distribution. The terms
# are also available at https://curl.se/docs/copyright.html.
#
# You may opt to use, copy, modify, merge, publish, distribute and/or sell
# copies of the Software, and permit persons to whom the Software is
# furnished to do so, under the terms of the COPYING file.
#
# This software is distributed on an "AS IS" basis, WITHOUT WARRANTY OF ANY
# KIND, either express or implied.
#
# SPDX-License-Identifier: curl
#
###########################################################################
# Shared between CMakeLists.txt and Makefile.am

am__is_gnu_make = { \
  if test -z '$(MAKELEVEL)'; then \
    false; \
  elif test -n '$(MAKE_HOST)'; then \
    true; \
  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
    true; \
  else \
    false; \
  fi; \
}
am__make_running_with_option = \
  case $${target_option-} in \
      ?) ;; \
      *) echo "am__make_running_with_option: internal error: invalid" \
              "target option '$${target_option-}' specified" >&2; \
         exit 1;; \
  esac; \
  has_opt=no; \
  sane_makeflags=$$MAKEFLAGS; \
  if $(am__is_gnu_make); then \
    sane_makeflags=$$MFLAGS; \
  else \
    case $$MAKEFLAGS in \
      *\\[\ \	]*) \
        bs=\\; \
        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
    esac; \
  fi; \
  skip_next=no; \
  strip_trailopt () \
  { \
    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  }; \
  for flg in $$sane_makeflags; do \
    test $$skip_next = yes && { skip_next=no; continue; }; \
    case $$flg in \
      *=*|--*) continue;; \
        -*I) strip_trailopt 'I'; skip_next=yes;; \
      -*I?*) strip_trailopt 'I';; \
        -*O) strip_trailopt 'O'; skip_next=yes;; \
      -*O?*) strip_trailopt 'O';; \
        -*l) strip_trailopt 'l'; skip_next=yes;; \
      -*l?*) strip_trailopt 'l';; \
      -[dEDm]) skip_next=yes;; \
      -[JT]) skip_next=yes;; \
    esac; \
    case $$flg in \
      *$$target_option*) has_opt=yes; break;; \
    esac; \
  done; \
  test $$has_opt = yes
am__make_dryrun = (target_option=n; $(am__make_running_with_option))
am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
pkgdatadir = $(datadir)/curl
pkgincludedir = $(includedir)/curl
pkglibdir = $(libdir)/curl
pkglibexecdir = $(libexecdir)/curl
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-pc-linux-gnu
host_triplet = x86_64-pc-linux-gnu
subdir = docs/cmdline-opts
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/m4/curl-amissl.m4 \
	$(top_srcdir)/m4/curl-apple-sectrust.m4 \
	$(top_srcdir)/m4/curl-compilers.m4 \
	$(top_srcdir)/m4/curl-confopts.m4 \
	$(top_srcdir)/m4/curl-functions.m4 \
	$(top_srcdir)/m4/curl-gnutls.m4 \
	$(top_srcdir)/m4/curl-mbedtls.m4 \
	$(top_srcdir)/m4/curl-openssl.m4 \
	$(top_srcdir)/m4/curl-override.m4 \
	$(top_srcdir)/m4/curl-reentrant.m4 \
	$(top_srcdir)/m4/curl-rustls.m4 \
	$(top_srcdir)/m4/curl-schannel.m4 \
	$(top_srcdir)/m4/curl-sysconfig.m4 \
	$(top_srcdir)/m4/curl-wolfssl.m4 $(top_srcdir)/m4/libtool.m4 \
	$(top_srcdir)/m4/ltoptions.m4 $(top_srcdir)/m4/ltsugar.m4 \
	$(top_srcdir)/m4/ltversion.m4 $(top_srcdir)/m4/lt~obsolete.m4 \
	$(top_srcdir)/m4/xc-am-iface.m4 \
	$(top_srcdir)/m4/xc-cc-check.m4 \
	$(top_srcdir)/m4/xc-lt-iface.m4 \
	$(top_srcdir)/m4/xc-val-flgs.m4 \
	$(top_srcdir)/m4/zz40-xc-ovr.m4 \
	$(top_srcdir)/m4/zz50-xc-ovr.m4 \
	$(top_srcdir)/m4/zz60-xc-ovr.m4 $(top_srcdir)/acinclude.m4 \
	$(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/lib/curl_config.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
AM_V_P = $(am__v_P_$(V))
am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
am__v_P_0 = false
am__v_P_1 = :
AM_V_GEN = $(am__v_GEN_$(V))
am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
am__v_GEN_0 = @echo "  GEN     " $@;
am__v_GEN_1 = 
AM_V_at = $(am__v_at_$(V))
am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
am__v_at_0 = @
am__v_at_1 = 
depcomp =
am__maybe_remake_depfiles =
SOURCES =
DIST_SOURCES =
am__can_run_installinfo = \
  case $$AM_UPDATE_INFO_DIR in \
    n|no|NO) false;; \
    *) (install-info --version) >/dev/null 2>&1;; \
  esac
am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
am__vpath_adj = case $$p in \
    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
    *) f=$$p;; \
  esac;
am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
am__install_max = 40
am__nobase_strip_setup = \
  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
am__nobase_strip = \
  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
am__nobase_list = $(am__nobase_strip_setup); \
  for p in $$list; do echo "$$p $$p"; done | \
  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
    if (++n[$$2] == $(am__install_max)) \
      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
    END { for (dir in files) print dir, files[dir] }'
am__base_list = \
  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
am__uninstall_files_from_dir = { \
  test -z "$$files" \
    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
         $(am__cd) "$$dir" && rm -f $$files; }; \
  }
man1dir = $(mandir)/man1
am__installdirs = "$(DESTDIR)$(man1dir)"
NROFF = nroff
MANS = $(man_MANS)
am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
am__DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/Makefile.inc
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} '/tmp/fempkg/build/curl/curl-8.17.0/missing' aclocal-1.16
AMTAR = $${TAR-tar}
AM_DEFAULT_VERBOSITY = 0
APXS = 
AR = /usr/bin/ar
AR_FLAGS = cr
AS = as
AUTOCONF = ${SHELL} '/tmp/fempkg/build/curl/curl-8.17.0/missing' autoconf
AUTOHEADER = ${SHELL} '/tmp/fempkg/build/curl/curl-8.17.0/missing' autoheader
AUTOMAKE = ${SHELL} '/tmp/fempkg/build/curl/curl-8.17.0/missing' automake-1.16
AWK = gawk
BLANK_AT_MAKETIME = 
CADDY = /usr/bin/caddy
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -Werror-implicit-function-declaration -O2 -Wno-system-headers
CFLAG_CURL_SYMBOL_HIDING = -fvisibility=hidden
CONFIGURE_OPTIONS = " '--prefix=/usr' '--disable-static' '--with-openssl' '--with-ca-path=/etc/ssl/certs'"
CPP = gcc -E
CPPFLAGS = -D_GNU_SOURCE
CSCOPE = cscope
CTAGS = ctags
CURLVERSION = 8.17.0
CURL_CA_BUNDLE = 
CURL_CA_EMBED = 
CURL_CFLAG_EXTRAS = 
CURL_CPP = gcc -E -D_GNU_SOURCE
CURL_LIBCURL_VERSIONED_SYMBOLS_PREFIX = 
CURL_LIBCURL_VERSIONED_SYMBOLS_SONAME = 4
CURL_NETWORK_AND_TIME_LIBS = 
CYGPATH_W = echo
DANTED = 
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DLLTOOL = false
DSYMUTIL = 
DUMPBIN = 
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /usr/bin/grep -E
ENABLE_SHARED = yes
ENABLE_STATIC = no
ETAGS = etags
EXEEXT = 
FGREP = /usr/bin/grep -F
FILECMD = file
FISH_FUNCTIONS_DIR = 
GCOV = 
GREP = /usr/bin/grep
HAVE_LIBZ = 1
HTTPD = 
HTTPD_NGHTTPX = 
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
LCOV = 
LD = /usr/bin/ld -m elf_x86_64
LDFLAGS = 
LIBCURL_PC_CFLAGS = 
LIBCURL_PC_CFLAGS_PRIVATE = -DCURL_STATICLIB
LIBCURL_PC_LDFLAGS_PRIVATE = 
LIBCURL_PC_LIBS = 
LIBCURL_PC_LIBS_PRIVATE = -lnghttp2 -lidn2 -lldap -llber -lpsl -lssl -lcrypto -lssl -lcrypto -lzstd -lbrotlidec -lz
LIBCURL_PC_REQUIRES = 
LIBCURL_PC_REQUIRES_PRIVATE = libidn2,zlib,libbrotlidec,libbrotlicommon,libzstd,openssl,libpsl,libnghttp2
LIBOBJS = 
LIBS = -lnghttp2 -lidn2 -lldap -llber -lpsl -lssl -lcrypto -lssl -lcrypto -lzstd -lbrotlidec -lz
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIPO = 
LN_S = ln -s
LTLIBOBJS = 
LT_SYS_LIBRARY_PATH = 
MAINT = #
MAKEINFO = ${SHELL} '/tmp/fempkg/build/curl/curl-8.17.0/missing' makeinfo
MANIFEST_TOOL = :
MKDIR_P = /usr/bin/mkdir -p
NM = /usr/bin/nm -B
NMEDIT = 
OBJDUMP = objdump
OBJEXT = o
OTOOL = 
OTOOL64 = 
PACKAGE = curl
PACKAGE_BUGREPORT = a suitable curl mailing list: https://curl.se/mail/
PACKAGE_NAME = curl
PACKAGE_STRING = curl -
PACKAGE_TARNAME = curl
PACKAGE_URL = 
PACKAGE_VERSION = -
PATH_SEPARATOR = :
PERL = /usr/bin/perl
PKGCONFIG = /usr/bin/pkg-config
RANLIB = ranlib
RC = 
SED = /usr/bin/sed
SET_MAKE = 
SHELL = /bin/sh
SSL_BACKENDS = OpenSSL v3+
STRIP = strip
SUPPORT_FEATURES = alt-svc AsynchDNS brotli HSTS HTTP2 HTTPS-proxy IDN IPv6 Largefile libz NTLM PSL SSL threadsafe TLS-SRP UnixSockets zstd
SUPPORT_PROTOCOLS = DICT FILE FTP FTPS GOPHER GOPHERS HTTP HTTPS IMAP IMAPS IPFS IPNS LDAP LDAPS MQTT POP3 POP3S RTSP SMB SMBS SMTP SMTPS TELNET TFTP WS WSS
TEST_NGHTTPX = nghttpx
VERSION = -
VERSIONNUM = 081100
VSFTPD = 
ZLIB_LIBS = -lz
ZSH_FUNCTIONS_DIR = 
abs_builddir = /tmp/fempkg/build/curl/curl-8.17.0/docs/cmdline-opts
abs_srcdir = /tmp/fempkg/build/curl/curl-8.17.0/docs/cmdline-opts
abs_top_builddir = /tmp/fempkg/build/curl/curl-8.17.0
abs_top_srcdir = /tmp/fempkg/build/curl/curl-8.17.0
ac_ct_AR = 
ac_ct_CC = gcc
ac_ct_DUMPBIN = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = $${TAR-tar} chof - "$$tardir"
am__untar = $${TAR-tar} xf -
bindir = ${exec_prefix}/bin
build = x86_64-pc-linux-gnu
build_alias = 
build_cpu = x86_64
build_os = linux-gnu
build_vendor = pc
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = x86_64-pc-linux-gnu
host_alias = 
host_cpu = x86_64
host_os = linux-gnu
host_vendor = pc
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = ${SHELL} /tmp/fempkg/build/curl/curl-8.17.0/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
libext = a
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
mandir = ${datarootdir}/man
mkdir_p = $(MKDIR_P)
oldincludedir = /usr/include
pdfdir = ${docdir}
prefix = /usr
program_transform_name = s,x,x,
psdir = ${docdir}
runstatedir = ${localstatedir}/run
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
srcdir = .
sysconfdir = ${prefix}/etc
target_alias = 
top_build_prefix = ../../
top_builddir = ../..
top_srcdir = ../..
AUTOMAKE_OPTIONS = foreign no-dependencies
MANPAGE = curl.1
ASCIIPAGE = curl.txt
SUPPORT = \
  _AUTHORS.md \
  _BUGS.md \
  _DESCRIPTION.md \
  _ENVIRONMENT.md \
  _EXITCODES.md \
  _FILES.md \
  _GLOBBING.md \
  _NAME.md \
  _OPTIONS.md \
  _OUTPUT.md \
  _PROGRESS.md \
  _PROTOCOLS.md \
  _PROXYPREFIX.md \
  _SEEALSO.md \
  _SYNOPSIS.md \
  _URL.md \
  _VARIABLES.md \
  _VERSION.md \
  _WWW.md

DPAGES = \
  abstract-unix-socket.md \
  alt-svc.md \
  anyauth.md \
  append.md \
  aws-sigv4.md \
  basic.md \
  ca-native.md \
  cacert.md \
  capath.md \
  cert-status.md \
  cert-type.md \
  cert.md \
  ciphers.md \
  compressed-ssh.md \
  compressed.md \
  config.md \
  connect-timeout.md \
  connect-to.md \
  continue-at.md \
  cookie-jar.md \
  cookie.md \
  create-dirs.md \
  create-file-mode.md \
  crlf.md \
  crlfile.md \
  curves.md \
  data-ascii.md \
  data-binary.md \
  data-raw.md \
  data-urlencode.md \
  data.md \
  delegation.md \
  digest.md \
  disable-eprt.md \
  disable-epsv.md \
  disable.md \
  disallow-username-in-url.md \
  dns-interface.md \
  dns-ipv4-addr.md \
  dns-ipv6-addr.md \
  dns-servers.md \
  doh-cert-status.md \
  doh-insecure.md \
  doh-url.md \
  dump-ca-embed.md \
  dump-header.md \
  ech.md \
  egd-file.md \
  engine.md \
  etag-compare.md \
  etag-save.md \
  expect100-timeout.md \
  fail-early.md \
  fail-with-body.md \
  fail.md \
  false-start.md \
  follow.md \
  form-escape.md \
  form-string.md \
  form.md \
  ftp-account.md \
  ftp-alternative-to-user.md \
  ftp-create-dirs.md \
  ftp-method.md \
  ftp-pasv.md \
  ftp-port.md \
  ftp-pret.md \
  ftp-skip-pasv-ip.md \
  ftp-ssl-ccc-mode.md \
  ftp-ssl-ccc.md \
  ftp-ssl-control.md \
  get.md \
  globoff.md \
  happy-eyeballs-timeout-ms.md \
  haproxy-protocol.md \
  haproxy-clientip.md \
  head.md \
  header.md \
  help.md \
  hostpubmd5.md \
  hostpubsha256.md \
  hsts.md \
  http0.9.md \
  http1.0.md \
  http1.1.md \
  http2-prior-knowledge.md \
  http2.md \
  http3.md \
  http3-only.md \
  ignore-content-length.md \
  insecure.md \
  interface.md \
  ip-tos.md \
  ipfs-gateway.md \
  ipv4.md \
  ipv6.md \
  json.md \
  junk-session-cookies.md \
  keepalive-cnt.md \
  keepalive-time.md \
  key-type.md \
  key.md \
  knownhosts.md \
  krb.md \
  libcurl.md \
  limit-rate.md \
  list-only.md \
  local-port.md \
  location-trusted.md \
  location.md \
  login-options.md \
  mail-auth.md \
  mail-from.md \
  mail-rcpt-allowfails.md \
  mail-rcpt.md \
  manual.md \
  max-filesize.md \
  max-redirs.md \
  max-time.md \
  metalink.md \
  mptcp.md \
  negotiate.md \
  netrc-file.md \
  netrc-optional.md \
  netrc.md \
  next.md \
  no-alpn.md \
  no-buffer.md \
  no-clobber.md \
  no-keepalive.md \
  no-npn.md \
  no-progress-meter.md \
  no-sessionid.md \
  noproxy.md \
  ntlm-wb.md \
  ntlm.md \
  oauth2-bearer.md \
  output-dir.md \
  out-null.md \
  output.md \
  parallel-immediate.md \
  parallel-max-host.md \
  parallel-max.md \
  parallel.md \
  pass.md \
  path-as-is.md \
  pinnedpubkey.md \
  post301.md \
  post302.md \
  post303.md \
  preproxy.md \
  progress-bar.md \
  proto-default.md \
  proto-redir.md \
  proto.md \
  proxy-anyauth.md \
  proxy-basic.md \
  proxy-ca-native.md \
  proxy-cacert.md \
  proxy-capath.md \
  proxy-cert-type.md \
  proxy-cert.md \
  proxy-ciphers.md \
  proxy-crlfile.md \
  proxy-digest.md \
  proxy-header.md \
  proxy-http2.md \
  proxy-insecure.md \
  proxy-key-type.md \
  proxy-key.md \
  proxy-negotiate.md \
  proxy-ntlm.md \
  proxy-pass.md \
  proxy-pinnedpubkey.md \
  proxy-service-name.md \
  proxy-ssl-allow-beast.md \
  proxy-ssl-auto-client-cert.md \
  proxy-tls13-ciphers.md \
  proxy-tlsauthtype.md \
  proxy-tlspassword.md \
  proxy-tlsuser.md \
  proxy-tlsv1.md \
  proxy-user.md \
  proxy.md \
  proxy1.0.md \
  proxytunnel.md \
  pubkey.md \
  quote.md \
  random-file.md \
  range.md \
  rate.md \
  raw.md \
  referer.md \
  remote-header-name.md \
  remote-name-all.md \
  remote-name.md \
  remote-time.md \
  remove-on-error.md \
  request-target.md \
  request.md \
  resolve.md \
  retry-all-errors.md \
  retry-connrefused.md \
  retry-delay.md \
  retry-max-time.md \
  retry.md \
  sasl-authzid.md \
  sasl-ir.md \
  service-name.md \
  show-error.md \
  show-headers.md \
  silent.md \
  sigalgs.md \
  skip-existing.md \
  socks4.md \
  socks4a.md \
  socks5-basic.md \
  socks5-gssapi-nec.md \
  socks5-gssapi-service.md \
  socks5-gssapi.md \
  socks5-hostname.md \
  socks5.md \
  speed-limit.md \
  speed-time.md \
  ssl-allow-beast.md \
  ssl-auto-client-cert.md \
  ssl-no-revoke.md \
  ssl-reqd.md \
  ssl-revoke-best-effort.md \
  ssl-sessions.md \
  ssl.md \
  sslv2.md \
  sslv3.md \
  stderr.md \
  styled-output.md \
  suppress-connect-headers.md \
  tcp-fastopen.md \
  tcp-nodelay.md \
  telnet-option.md \
  tftp-blksize.md \
  tftp-no-options.md \
  time-cond.md \
  tls-earlydata.md \
  tls-max.md \
  tls13-ciphers.md \
  tlsauthtype.md \
  tlspassword.md \
  tlsuser.md \
  tlsv1.0.md \
  tlsv1.1.md \
  tlsv1.2.md \
  tlsv1.3.md \
  tlsv1.md \
  tr-encoding.md \
  trace-ascii.md \
  trace-config.md \
  trace-ids.md \
  trace-time.md \
  trace.md \
  unix-socket.md \
  upload-file.md \
  upload-flags.md \
  url.md \
  url-query.md \
  use-ascii.md \
  user-agent.md \
  user.md \
  variable.md \
  verbose.md \
  version.md \
  vlan-priority.md \
  write-out.md \
  xattr.md


# Get SUPPORT, DPAGES variables
EXTRA_DIST = $(DPAGES) MANPAGE.md $(SUPPORT) CMakeLists.txt mainpage.idx
GEN = $(GN_$(V))
GN_0 = @echo "  GENERATE" $@;
GN_1 = 
GN_ = $(GN_0)
MANAGEN = $(top_srcdir)/scripts/managen
MAXLINE = $(top_srcdir)/scripts/maxline

# Maximum number of columns accepted in the ASCII version of the manpage
INCDIR = $(top_srcdir)/include
CLEANFILES = $(MANPAGE) $(ASCIIPAGE)
man_MANS = $(MANPAGE)
all: all-am

.SUFFIXES:
$(srcdir)/Makefile.in: # $(srcdir)/Makefile.am $(srcdir)/Makefile.inc $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
	        && { if test -f $@; then exit 0; else break; fi; }; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign docs/cmdline-opts/Makefile'; \
	$(am__cd) $(top_srcdir) && \
	  $(AUTOMAKE) --foreign docs/cmdline-opts/Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles);; \
	esac;
$(srcdir)/Makefile.inc $(am__empty):

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure: # $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4): # $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(am__aclocal_m4_deps):

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs
install-man1: $(man_MANS)
	@$(NORMAL_INSTALL)
	@list1=''; \
	list2='$(man_MANS)'; \
	test -n "$(man1dir)" \
	  && test -n "`echo $$list1$$list2`" \
	  || exit 0; \
	echo " $(MKDIR_P) '$(DESTDIR)$(man1dir)'"; \
	$(MKDIR_P) "$(DESTDIR)$(man1dir)" || exit 1; \
	{ for i in $$list1; do echo "$$i"; done;  \
	if test -n "$$list2"; then \
	  for i in $$list2; do echo "$$i"; done \
	    | sed -n '/\.1[a-z]*$$/p'; \
	fi; \
	} | while read p; do \
	  if test -f $$p; then d=; else d="$(srcdir)/"; fi; \
	  echo "$$d$$p"; echo "$$p"; \
	done | \
	sed -e 'n;s,.*/,,;p;h;s,.*\.,,;s,^[^1][0-9a-z]*$$,1,;x' \
	      -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,' | \
	sed 'N;N;s,\n, ,g' | { \
	list=; while read file base inst; do \
	  if test "$$base" = "$$inst"; then list="$$list $$file"; else \
	    echo " $(INSTALL_DATA) '$$file' '$(DESTDIR)$(man1dir)/$$inst'"; \
	    $(INSTALL_DATA) "$$file" "$(DESTDIR)$(man1dir)/$$inst" || exit $$?; \
	  fi; \
	done; \
	for i in $$list; do echo "$$i"; done | $(am__base_list) | \
	while read files; do \
	  test -z "$$files" || { \
	    echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(man1dir)'"; \
	    $(INSTALL_DATA) $$files "$(DESTDIR)$(man1dir)" || exit $$?; }; \
	done; }

uninstall-man1:
	@$(NORMAL_UNINSTALL)
	@list=''; test -n "$(man1dir)" || exit 0; \
	files=`{ for i in $$list; do echo "$$i"; done; \
	l2='$(man_MANS)'; for i in $$l2; do echo "$$i"; done | \
	  sed -n '/\.1[a-z]*$$/p'; \
	} | sed -e 's,.*/,,;h;s,.*\.,,;s,^[^1][0-9a-z]*$$,1,;x' \
	      -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,'`; \
	dir='$(DESTDIR)$(man1dir)'; $(am__uninstall_files_from_dir)
tags TAGS:

ctags CTAGS:

cscope cscopelist:

distdir: $(BUILT_SOURCES)
	$(MAKE) $(AM_MAKEFLAGS) distdir-am

distdir-am: $(DISTFILES)
	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	list='$(DISTFILES)'; \
	  dist_files=`for file in $$list; do echo $$file; done | \
	  sed -e "s|^$$srcdirstrip/||;t" \
	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
	case $$dist_files in \
	  */*) $(MKDIR_P) `echo "$$dist_files" | \
			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
			   sort -u` ;; \
	esac; \
	for file in $$dist_files; do \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  if test -d $$d/$$file; then \
	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
	    if test -d "$(distdir)/$$file"; then \
	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
	    fi; \
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
	    fi; \
	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
	  else \
	    test -f "$(distdir)/$$file" \
	    || cp -p $$d/$$file "$(distdir)/$$file" \
	    || exit 1; \
	  fi; \
	done
check-am: all-am
check: check-am
all-am: Makefile $(MANS)
installdirs:
	for dir in "$(DESTDIR)$(man1dir)"; do \
	  test -z "$$dir" || $(MKDIR_P) "$$dir"; \
	done
install: install-am
install-exec: install-exec-am
install-data: install-data-am
uninstall: uninstall-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am

installcheck: installcheck-am
install-strip:
	if test -z '$(STRIP)'; then \
	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
	      install; \
	else \
	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
	    "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
	fi
mostlyclean-generic:

clean-generic:
	-test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)

distclean-generic:
	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
	-test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)

maintainer-clean-generic:
	@echo "This command is intended for maintainers to use"
	@echo "it deletes files that may require special tools to rebuild."
clean: clean-am

clean-am: clean-generic clean-libtool mostlyclean-am

distclean: distclean-am
	-rm -f Makefile
distclean-am: clean-am distclean-generic

dvi: dvi-am

dvi-am:

html: html-am

html-am:

info: info-am

info-am:

install-data-am: install-man

install-dvi: install-dvi-am

install-dvi-am:

install-exec-am:

install-html: install-html-am

install-html-am:

install-info: install-info-am

install-info-am:

install-man: install-man1

install-pdf: install-pdf-am

install-pdf-am:

install-ps: install-ps-am

install-ps-am:

installcheck-am:

maintainer-clean: maintainer-clean-am
	-rm -f Makefile
maintainer-clean-am: distclean-am maintainer-clean-generic

mostlyclean: mostlyclean-am

mostlyclean-am: mostlyclean-generic mostlyclean-libtool

pdf: pdf-am

pdf-am:

ps: ps-am

ps-am:

uninstall-am: uninstall-man

uninstall-man: uninstall-man1

.MAKE: install-am install-strip

.PHONY: all all-am check check-am clean clean-generic clean-libtool \
	cscopelist-am ctags-am distclean distclean-generic \
	distclean-libtool distdir dvi dvi-am html html-am info info-am \
	install install-am install-data install-data-am install-dvi \
	install-dvi-am install-exec install-exec-am install-html \
	install-html-am install-info install-info-am install-man \
	install-man1 install-pdf install-pdf-am install-ps \
	install-ps-am install-strip installcheck installcheck-am \
	installdirs maintainer-clean maintainer-clean-generic \
	mostlyclean mostlyclean-generic mostlyclean-libtool pdf pdf-am \
	ps ps-am tags-am uninstall uninstall-am uninstall-man \
	uninstall-man1

.PRECIOUS: Makefile


all: $(MANPAGE) $(ASCIIPAGE)

$(MANPAGE): $(DPAGES) $(SUPPORT) mainpage.idx Makefile.inc $(MANAGEN)
	$(GEN)(rm -f $(MANPAGE) && /usr/bin/perl $(MANAGEN) -d $(srcdir) -I $(INCDIR) mainpage $(DPAGES) > manpage.tmp.$$$$ && mv manpage.tmp.$$$$ $(MANPAGE))

$(ASCIIPAGE): $(DPAGES) $(SUPPORT) mainpage.idx Makefile.inc $(MANAGEN)
	$(GEN)(rm -f $(ASCIIPAGE) && /usr/bin/perl $(MANAGEN) -d $(srcdir) -I $(INCDIR) ascii $(DPAGES) > asciipage.tmp.$$$$ && mv asciipage.tmp.$$$$ $(ASCIIPAGE))

listhelp:
	$(MANAGEN) -d $(srcdir) listhelp $(DPAGES) > $(top_builddir)/src/tool_listhelp.c

listcats:
	@$(MANAGEN) listcats $(DPAGES)

# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:
